<?php
/**
* @package      com_symdef for Joomla! 1.5
* @version	$Id: symdef.php 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* Symdef is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

// Make sure the user is authorized to view this page
$user =& JFactory::getUser();

// Set the table directory
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_symdef'.DS.'tables');
define('SYM_IMAGE_PATH', 'components'.DS.'com_symdef'.DS.'images'.DS);

// Create the controller
$optCtrl = JRequest::getCmd('optCtrl');
$controllerFileName = 'symbollist';

switch ($optCtrl){
    default:
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_LIST'), 'index.php?option=com_symdef&optCtrl=symList', true );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_FILEADMIN'), 'index.php?option=com_symdef&optCtrl=symFile', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_DSTATS'), 'index.php?option=com_symdef&optCtrl=symDsta', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_CONF'), 'index.php?option=com_symdef&optCtrl=symConf', false );

        break;

    case 'symList' :
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_LIST'), 'index.php?option=com_symdef&optCtrl=symList', true );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_FILEADMIN'), 'index.php?option=com_symdef&optCtrl=symFile', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_DSTATS'), 'index.php?option=com_symdef&optCtrl=symDsta', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_CONF'), 'index.php?option=com_symdef&optCtrl=symConf', false );

        $controllerFileName = 'symbollist';
        break;

    case 'symFile' :
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_LIST'), 'index.php?option=com_symdef&optCtrl=symList', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_FILEADMIN'), 'index.php?option=com_symdef&optCtrl=symFile', true );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_DSTATS'), 'index.php?option=com_symdef&optCtrl=symDsta', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_CONF'), 'index.php?option=com_symdef&optCtrl=symConf', false );

        $controllerFileName = 'symbolfile';
        break;

    case 'symDsta' :
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_LIST'), 'index.php?option=com_symdef&optCtrl=symList', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_FILEADMIN'), 'index.php?option=com_symdef&optCtrl=symFile', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_DSTATS'), 'index.php?option=com_symdef&optCtrl=symDsta', true );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_CONF'), 'index.php?option=com_symdef&optCtrl=symConf', false );

        $controllerFileName = 'symbolstats';
        break;

    case 'symConf' :
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_LIST'), 'index.php?option=com_symdef&optCtrl=symList', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_FILEADMIN'), 'index.php?option=com_symdef&optCtrl=symFile', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_DSTATS'), 'index.php?option=com_symdef&optCtrl=symDsta', false );
        JSubMenuHelper::addEntry(JText::_('SYMDEF_MENUADMIN_CONF'), 'index.php?option=com_symdef&optCtrl=symConf', true );

        $controllerFileName = 'symbolconf';
        break;
}

require_once( JPATH_COMPONENT.DS.'controllers'.DS.$controllerFileName.'.php' );
$controllerName = 'symdefController'.$controllerFileName;

// Create the controller
$controller = new $controllerName();

// Perform the Request task
$controller->execute($controllerFileName);

// Redirect if set by the controller
$controller->redirect();
?>