<?php
/**
* @package      com_symdef for Joomla! 1.5
* @version	$Id: view.html.php 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* Symdef is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class symdefViewSymbolconf extends JView{
    function display( $tpl = null ){
        global $mainframe, $option;

        $document	= JFactory::getDocument();
        $document->addScript(JURI::base() . 'components/com_symdef/style/symdef.js');

        $db			=& JFactory::getDBO();

        $query = 'SELECT * FROM #__symdef_conf ';

        $db->setQuery( $query );
        $rows = $db->loadObjectList();

        if ($db->getErrorNum()) {
                echo $db->stderr();
                return false;
        }

        $this->assignRef('user',	JFactory::getUser());
        $this->assignRef('items',	$rows);

        parent::display($tpl);
    }
}