<?php
/**
 * @package     com_eglossary for Joomla! 1.5
 * @version	$Id: form.php 2010-09-02 10:07:31Z Hernán Roa $
 * @author      Hernán Roa Reyes
 * @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
 * @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
 * See license.txt
 * flexam is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
defined('_JEXEC') or die('Restricted access');

$titleFm = NULL;
$acctionTask = JRequest::getVar('task');
$jsTask = ($acctionTask === 'edit') ? 'update' : 'save';
$cid = JRequest::getVar('cid', array(0), '', 'array');
$edit = JRequest::getVar('edit', true);

JArrayHelper::toInteger($cid, array(0));

$txtEditor = &JFactory::getEditor();

$text = ( $edit ? JText::_('Edit') : JText::_('New') );

JToolBarHelper::title(JText::_('SYMDEF_COM_TITLE') . ': <small><small>[ ' . $text . ' ]</small></small>');

if ($edit) {
    // for existing items the button is renamed `close`
    JToolBarHelper::custom('update', 'save', NULL, JText::_('Save'), false);
    JToolBarHelper::cancel('cancel', 'Close');
} else {
    JToolBarHelper::save();
    JToolBarHelper::cancel();
}
//JToolBarHelper::help( 'screen.flexam.edit' );

JFilterOutput::objectHTMLSafe($this->items, ENT_QUOTES);
?>

<script language="javascript" type="text/javascript">
    function submitbutton(pressbutton) {
        var form = document.adminForm;
        if (pressbutton == 'cancel') {
            submitform( pressbutton );
            return;
        } else {
            submitform( pressbutton );
            return;
        }
    }
</script>
<form action="index.php?option=com_symdef&optCtrl=symFile" method="post" name="adminForm" enctype="multipart/form-data">
    <div>
        <fieldset class="adminform">
            <legend><?php echo JText::_('Details'); ?></legend>

            <?php
            if ($acctionTask == 'edit') {
                foreach ($this->items as $symData) {
                    if ($symData->id == $cid[0]) {
                        if (!empty($symData->nomFile)) {
                            echo '<table class="admintable">';

                            echo '<tr><td style="width:400px !important;" class="key" title="' . JText::_('SYMDEF_FILE_LIMITSIZE') . '"><label for="title">';

                            echo JText::_('File') . "&nbsp;(". JText::_('Last') . ": " . $symData->nomFile .")";

                            echo ':</label></td><td><input class="inputbox" type="file" name="sFile" id="sFile" size="60" value="" title="' . JText::_('SYMDEF_FILE_LIMITSIZE') . '" />';

                            echo '<input type="hidden" name="s_id" id="s_id" value="' . $symData->id . '" /></td></tr>';

                            echo '<tr><td style="width:400px !important;" class="key">';

                            echo JText::_('Published');

                            echo ':</td><td>';

                            echo JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $symData->published);

                            echo '</td></tr>';

                            echo '<tr><td style="width:400px !important;" class="key">';

                            echo JText::_('SYMDEF_DESCRIPTION');

                            echo ':</td><td>';

                            echo $txtEditor->display('def', $symData->descrip, '70%;', '150', '130', '10');

                            echo '</td></tr>';

                            echo '</table>' . "\n";
                        }
                    }
                }
            }

            if ($acctionTask == 'add') {
                echo '<table class="admintable">';

                echo '<tr><td width="110" class="key" title="' . JText::_('SYMDEF_FILE_LIMITSIZE') . '"><label for="title">';

                echo JText::_('File');

                echo ':</label></td><td><input class="inputbox" type="file" name="sFile" id="sFile" size="60" value="" title="' . JText::_('SYMDEF_FILE_LIMITSIZE') . '" />';

                echo '</td></tr>';

                echo '<tr><td width="120" class="key">';

                echo JText::_('Published');

                echo ':</td><td>';

                echo JHTML::_('select.booleanlist', 'published', 'class="inputbox"', 0);

                echo '</td></tr>';

                echo '<tr><td width="120" class="key">';

                echo JText::_('SYMDEF_DESCRIPTION');

                echo ':</td><td>';

                echo $txtEditor->display('descrip', '', '70%;', '150', '130', '10');

                echo '</td></tr>';

                echo '</table>' . "\n";
            }
            ?>
        </fieldset>
    </div>
    <div class="clr"></div>
    <input type="hidden" name="task" id="task" value="" />
    <input type="hidden" name="option" value="com_symdef" />
<?php echo JHTML::_('form.token'); ?>
        </form>

        <div id="footSymdef"><?php echo JText::_('SYMDEF_COPYRIGHTS') ?></div>