<?php

/**
 * @package     com_symdef for Joomla! 1.5
 * @version	$Id: symbolfile.php 2010-09-02 10:07:31Z Hernán Roa $
 * @author      Hernán Roa Reyes
 * @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
 * @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
 * See license.txt
 * Symdef is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');
jimport('joomla.client.helper');
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');


class symdefControllerSymbolstats extends JController {

    /**
     * Custom Constructor
     */
    function __construct($default = array()) {
        parent::__construct($default);

        $this->registerTask( 'unpublish',   'publish');
        $this->registerTask( 'preview',     'display');
        $this->registerTask( 'edit',        'display');
        $this->registerTask( 'add' ,        'display' );
    }

    function display() {
        
        if (JRequest::getVar('task') == 'remove') {
            $this->remove();
        }

        //Set the default view, just in case
        $view = JRequest::getCmd('view');

        if (empty($view)) {
            JRequest::setVar('view', 'symbolstats');
        };

        parent::display();
    }

    function remove() {
        // Check for request forgeries
        JRequest::checkToken() or jexit('Invalid Token');

        $db = & JFactory::getDBO();
        $cid = JRequest::getVar('cid', array(), '', 'array');

        $msg = '';

        for ($i = 0, $n = count($cid); $i < $n; $i++) {

            $qry = "DELETE FROM #__symdefDownloadStats WHERE idFile='$cid[$i]'";

                    $db->setQuery($qry);

                    if (!$db->query()) {
                        $msg .= $db->getErrorMsg() . " ";
                    }
        }

        $this->setRedirect('index.php?option=com_symdef&optCtrl=symDsta', $msg);
    }
}