<?php
/**
 * @package     com_symdef for Joomla! 1.5
 * @version	$Id: helpClass.php 2010-09-02 10:07:31Z Hernán Roa $
 * @author      Hernán Roa Reyes
 * @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
 * @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
 * See license.txt
 * flexam is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
class doHelp {

    private $lang;
    private $fileLang;
    private $fileLangDefault = '../language/es-ES.com_symdef.ini';

    public function __construct() {
        $this->lang = str_replace('-' . strstr(strtolower(strstr($_SERVER['HTTP_ACCEPT_LANGUAGE'], ',', true)), '-', true), '-' . strtoupper(strstr(strtolower(strstr($_SERVER['HTTP_ACCEPT_LANGUAGE'], ',', true)), '-', true)), strtolower(strstr($_SERVER['HTTP_ACCEPT_LANGUAGE'], ',', true)));
        $this->fileLang = '../language/' . $this->lang . '.com_symdef.ini';
    }

    private function setLanguage($fLng) {
        $toVar = NULL;
        $stream = fopen($this->fileLang, "rb");

        $content = fread($stream, filesize($this->fileLang));
        fclose($stream);
        
        $contentArray = explode('&', nl2br(str_replace("\n", '&', $content)));
        
        foreach ($contentArray as $cA) {
            if(substr($cA, 0, 5) === 'HELP_'){
                $toVar .= $cA.'&'; 
            }
        }
        
        parse_str($toVar, $out);

        $keys = array_keys($out);

        foreach ($keys as $key) {
            define($key, $out[$key]);
        }
    }

    public function GetLanguage() {
        if (file_exists($this->fileLang)) {
            $this->setLanguage ($this->fileLang);
        } else {
            $this->setLanguage ($this->fileLangDefault);
        }
    }

}
?>