/**
* @package      com_symdef for Joomla! 1.5
* @version	$Id: symdef.js 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* Symdef is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

function str_replace (search, replace, subject, count) {
    var i = 0, j = 0, temp = '', repl = '', sl = 0, fl = 0,
            f = [].concat(search),
            r = [].concat(replace),
            s = subject,
            ra = r instanceof Array, sa = s instanceof Array;
    s = [].concat(s);
    if (count) {
        this.window[count] = 0;
    }

    for (i=0, sl=s.length; i < sl; i++) {
        if (s[i] === '') {
            continue;
        }
        for (j=0, fl=f.length; j < fl; j++) {
            temp = s[i]+'';
            repl = ra ? (r[j] !== undefined ? r[j] : '') : r[0];
            s[i] = (temp).split(f[j]).join(repl);
            if (count && s[i] !== temp) {
                this.window[count] += (temp.length-s[i].length)/f[j].length;}
        }
    }
    return sa ? s : s[0];
}

function submitFm(idFm){
    document.forms[idFm].submit();
}

function AJAXConstructObj(){
    var obj;
    if(window.XMLHttpRequest) { // no es IE
        obj = new XMLHttpRequest();
    } else { // Es IE o no tiene el objeto
        try {
            obj = new ActiveXObject('Microsoft.XMLHTTP');
        } catch (e) {
            alert('Browser is NOT supported');
        }
    }
    return obj;
}

function ajaxObj(url, idLayer, params){
    oXML = AJAXConstructObj();
    oXML.open('POST', url, true);
    oXML.onreadystatechange = function (){document.getElementById(idLayer).innerHTML = oXML.responseText;};
    oXML.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    oXML.send(params + '&nocache=' + Math.random());
}

function checkNumberField(id, msg){
    var txtVal = document.getElementById(id).value;
    var disc = txtVal;

    txtVal = txtVal.replace(/[^0-9]/g ,"");

    if((disc!=txtVal)){
        alert(msg);

        document.getElementById(id).value = txtVal;
    }
}

function checkMailField(id, msg){
    var txtVal = document.getElementById(id).value;
    var disc = txtVal;

    txtVal = txtVal.replace(/[^a-zA-Z0-9\-\@\_\.]/g ,"");

    if((disc!=txtVal)){
        alert(msg);

        document.getElementById(id).value = txtVal;
    }
}

function downFile(url, id){
    document.getElementById('dwn').value = url;
    document.getElementById('idf').value = id;

    submitFm('symdef_dwn');
}

function showSymbolDefinition(id){
    $('.dspSymDef').slideUp("slow");
    
    $('#' + id).slideDown("slow");
}