<?php
/**
* @package      com_symdef for Joomla! 1.5
* @version	$Id: view.html.php 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* Symdef is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');


class symdefViewDownl extends JView {
    function display($tpl = null) {

        $model      =& $this->getModel();
        $files     = $this->tableFiles($model->getFiles());

        $this->assignRef('files',$files);

        $down = JRequest::getVar('dwn');
        $idF = JRequest::getVar('idf');

        if ( !empty($down) && !empty($idF) ) {
            $this->sumDownLoad($down, $idF);
        }

        parent::display($tpl);
    }

    function tableFiles ($obj=array()) {
        $out = NULL;
        define('IMG_PATH', 'administrator/components/com_symdef/images/');

        if(!empty($obj[0])){
            $numObj = count($obj);
            $out = '<table cellspacing="2" name="#_dTb" class="dwn_TB">' . "\n" . '<tr>' . "\n";
            $out .= '<th>' . JText::_('SYMDEF_FILE') . '</th><th>' . JText::_('SYMDEF_DESCRIPTION') . '</th><th>' . JText::_('SYMDEF_IMAGE_SIZE') . '</th>';
            $out .= '<th>' . JText::_('SYMDEF_DATE') . '</th><th>' . JText::_('SYMDEF_DOWNL') . '</th>';
            $out .= '</tr>' . "\n";

            for($i = 0; $i < $numObj; $i++) {
                $out .= '<tr>' . "\n";

                $out .= '<td>' . "\n";
                $out .= '<span>' . $obj[$i]->nomFile . '</span>' . "\n";
                $out .= '</td>' . "\n";

                $out .= '<td>' . "\n";
                $out .= '<span>' . $obj[$i]->descrip . '</span>' . "\n";
                $out .= '</td>' . "\n";

                $out .= '<td>' . "\n";
                $out .= '<span>' . $obj[$i]->size . '</span>' . "\n";
                $out .= '</td>' . "\n";

                $out .= '<td>' . "\n";
                $out .= '<span>' . $obj[$i]->datePb . '</span>' . "\n";
                $out .= '</td>' . "\n";

                $out .= '<td>' . "\n";
                $out .= '<a href="#_dTb" onClick="javascript:downFile(\'' . $obj[$i]->nomFile . '\', \'' . $obj[$i]->id . '\');"><img src="' . IMG_PATH . 'btn_down.png" alt="Download" align="right" /></a>';
                $out .= '</td>' . "\n" . '</tr>' . "\n";
            }

            $out .= '</table>';
        }

        return $out;
    }

    function sumDownLoad ($nomFile, $idF) {
        // Check for request forgeries
        global $mainframe;

        $db = & JFactory::getDBO();
        $user   = JFactory::getUser();

        $user->id = (empty($user->id)) ? 62 : $user->id;
        $msg = '';

        $qry = "INSERT INTO #__symdefDownloadStats (idUser, idFile) VALUES('$user->id', '$idF')";

        $db->setQuery($qry);
        $db->query();

        $mainframe->redirect( 'administrator/components/com_symdef/symFiles/'.$nomFile );
    }
}
?>
