<?php
/**
* @package      com_symdef for Joomla! 1.5
* @version	$Id: default.php 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* Symdef is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

defined('_JEXEC') or die('Restricted access');
jimport('joomla.session.session');

$title      = NULL;
$height     = NULL;
$fileDown   = NULL;

foreach( $this->conf as $item) {
    switch ($item->param) {
        case 'titleComponent':
            $title = $item->value;
            break;

        case 'height':
            $height = $item->value;
            break;

        case 'download':
            $fileDown = $item->value;
            break;
    }
}
?>
<link rel="stylesheet" href="<?php echo JURI::base(); ?>administrator/components/com_symdef/style/symdef.css" type="text/css" />
<script type="text/javascript" src="<?php echo JURI::base(); ?>administrator/components/com_symdef/style/jquery.js"></script>
<script type="text/javascript" src="<?php echo JURI::base(); ?>administrator/components/com_symdef/style/symdef.js"></script>
<div id="symbox" style="height: <?php echo $height; ?>px;">
<div id="symdefTitle">
<h2><?php echo $title; ?></h2>
</div>
<div id="iconCatalog">
    <center>
<?php
echo $this->symbol;
?>
    </center>
</div>
<div id="symdefDownload">
<?php echo JText::_('SYMDEF_DOWNLOAD').'&nbsp;' ?>
<?php echo $this->setLinkDl ( '<img src="' . IMG_PATH . 'btn_down.png" alt="Download" align="right" />' ); ?>
</div>
<?php
    if($this->definition){
        echo $this->definition;
    }
?>
</div>